"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _UUID = _interopRequireDefault(require("../UUID"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }
function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }
function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }
function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }
function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }
function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }
function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }
var AutoPopulate = /*#__PURE__*/function (_React$Component) {
  _inherits(AutoPopulate, _React$Component);
  var _super = _createSuper(AutoPopulate);
  function AutoPopulate(props) {
    var _this;
    _classCallCheck(this, AutoPopulate);
    _this = _super.call(this, props);
    _this.state = {
      element: _this.props.element,
      data: _this.props.data,
      dirty: false,
      populateKey: _this.props.element.populateKey ? _this.props.element.populateKey : "0",
      allowEdit: _this.props.element.allowEdit ? _this.props.element.allowEdit : false,
      populateItems: _this.props.element.autoPopulateItems ? _this.props.element.autoPopulateItems : []
    };
    return _this;
  }
  _createClass(AutoPopulate, [{
    key: "handleChange",
    value: function handleChange(e) {
      var element = this.state.element;
      element.populateKey = e.target.value;
      this.props.updateElement.call(this.props.preview, element);
      this.setState({
        element: element,
        dirty: true,
        populateKey: e.target.value
      });
    }
  }, {
    key: "handleReadOnlyChange",
    value: function handleReadOnlyChange(e) {
      var element = this.state.element;
      element.allowEdit = e.target.checked;
      this.props.updateElement.call(this.props.preview, element);
      this.setState({
        element: element,
        dirty: true,
        allowEdit: e.target.checked
      });
    }
  }, {
    key: "render",
    value: function render() {
      if (this.state.dirty) {
        this.state.element.dirty = true;
      }
      return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement("div", {
        className: "form-group"
      }, /*#__PURE__*/_react["default"].createElement("label", {
        className: "",
        htmlFor: "auto-populate-key"
      }, "Auto Populate"), /*#__PURE__*/_react["default"].createElement("select", {
        value: this.state.populateKey,
        onChange: this.handleChange.bind(this),
        id: "auto-populate-key",
        className: "form-control"
      }, /*#__PURE__*/_react["default"].createElement("option", {
        value: "0",
        disabled: true
      }, "Select auto populate field"), this.state.populateItems && this.state.populateItems.map(function (item, index) {
        var key = _UUID["default"].uuid();
        return /*#__PURE__*/_react["default"].createElement("option", {
          key: "autopopulate-item-".concat(key),
          value: item.key
        }, item.label);
      }))), /*#__PURE__*/_react["default"].createElement("div", {
        className: "form-group"
      }, /*#__PURE__*/_react["default"].createElement("input", {
        id: "autopopulate-readonly",
        type: "checkbox",
        checked: this.state.allowEdit,
        onChange: this.handleReadOnlyChange.bind(this)
      }), /*#__PURE__*/_react["default"].createElement("label", {
        htmlFor: "autopopulate-readonly",
        style: {
          marginLeft: "5px"
        }
      }, "Allow users to edit the field ?")));
    }
  }]);
  return AutoPopulate;
}(_react["default"].Component);
exports["default"] = AutoPopulate;